Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Let make dist work; bump to version 0.0.1
[simgrid.git] / configure
index de0a3ef..7e7f79e 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.ac Revision: 1.8 .
+# From configure.ac Revision: 1.9 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for GRAS 0.0.040304.
+# Generated by GNU Autoconf 2.59 for GRAS 0.0.1.
 #
 # Report bugs to <martin.quinson@ens-lyon.fr>.
 #
@@ -424,8 +424,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='GRAS'
 PACKAGE_TARNAME='gras'
-PACKAGE_VERSION='0.0.040304'
-PACKAGE_STRING='GRAS 0.0.040304'
+PACKAGE_VERSION='0.0.1'
+PACKAGE_STRING='GRAS 0.0.1'
 PACKAGE_BUGREPORT='martin.quinson@ens-lyon.fr'
 
 ac_unique_file="src/include/gras.h"
@@ -955,7 +955,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures GRAS 0.0.040304 to adapt to many kinds of systems.
+\`configure' configures GRAS 0.0.1 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1022,7 +1022,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of GRAS 0.0.040304:";;
+     short | recursive ) echo "Configuration of GRAS 0.0.1:";;
    esac
   cat <<\_ACEOF
 
@@ -1176,7 +1176,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-GRAS configure 0.0.040304
+GRAS configure 0.0.1
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -1190,7 +1190,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by GRAS $as_me 0.0.040304, which was
+It was created by GRAS $as_me 0.0.1, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1919,7 +1919,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='gras'
- VERSION='0.0.040304'
+ VERSION='0.0.1'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -20247,500 +20247,22 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
 
 
-unspecif=$ac_cv_sizeof_char
-if test x$unspecif = x ; then
+if test x$ac_cv_sizeof_char = x ; then
   { { echo "$as_me:$LINENO: error: cannot determine a size for char" >&5
 echo "$as_me: error: cannot determine a size for char" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
+echo "${ECHO_T}$ac_cv_sizeof_char" >&6
 
-    if test "${ac_cv_sizeof_signed_char+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed char) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_char=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_char != x ; then break; fi
-  done
-
-fi
-
-
-signed=$ac_cv_sizeof_signed_char
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed char" >&5
-echo "$as_me: error: cannot determine a size for signed char" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed char' and 'char' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed char' and 'char' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_unsigned_char+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (unsigned char) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_char=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_char != x ; then break; fi
-  done
-
-fi
-
-
-unsigned=$ac_cv_sizeof_unsigned_char
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned char" >&5
-echo "$as_me: error: cannot determine a size for unsigned char" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed char' and 'unsigned char' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed char' and 'unsigned char' have different sizes ! ($signed != $unsigned)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_char" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_char" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_CHAR $ac_cv_sizeof_unsigned_char
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking size of short int" >&5
-echo $ECHO_N "checking size of short int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_short_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (short int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_short_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_short_int != x ; then break; fi
-  done
-
-fi
-
-
-unspecif=$ac_cv_sizeof_short_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for short int" >&5
-echo "$as_me: error: cannot determine a size for short int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_signed_short_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed short int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_short_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_short_int != x ; then break; fi
-  done
-
-fi
-
-
-signed=$ac_cv_sizeof_signed_short_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed short int" >&5
-echo "$as_me: error: cannot determine a size for signed short int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed short int' and 'short int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed short int' and 'short int' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_unsigned_short_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (unsigned short int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_short_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_short_int != x ; then break; fi
-  done
-
-fi
-
-
-unsigned=$ac_cv_sizeof_unsigned_short_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned short int" >&5
-echo "$as_me: error: cannot determine a size for unsigned short int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed short int' and 'unsigned short int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed short int' and 'unsigned short int' have different sizes ! ($signed != $unsigned)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_short_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_short_int" >&6
-
-cat >>confdefs.h <<_ACEOF
-#define SIZEOF_SHORT_INT $ac_cv_sizeof_unsigned_short_int
-_ACEOF
-
-
-echo "$as_me:$LINENO: checking size of int" >&5
-echo $ECHO_N "checking size of int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_int != x ; then break; fi
-  done
-
-fi
-
-
-unspecif=$ac_cv_sizeof_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for int" >&5
-echo "$as_me: error: cannot determine a size for int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_signed_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_int != x ; then break; fi
-  done
-
-fi
-
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_CHAR $ac_cv_sizeof_char
+_ACEOF
 
-signed=$ac_cv_sizeof_signed_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed int" >&5
-echo "$as_me: error: cannot determine a size for signed int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed int' and 'int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed int' and 'int' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
 
-    if test "${ac_cv_sizeof_unsigned_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of short int" >&5
+echo $ECHO_N "checking size of short int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_short_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20757,7 +20279,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (unsigned int) == $ac_size):;
+switch (0) case 0: case (sizeof (short int) == $ac_size):;
   ;
   return 0;
 }
@@ -20783,42 +20305,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_int=$ac_size
+  ac_cv_sizeof_short_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_int != x ; then break; fi
+   if test x$ac_cv_sizeof_short_int != x ; then break; fi
   done
 
 fi
 
 
-unsigned=$ac_cv_sizeof_unsigned_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned int" >&5
-echo "$as_me: error: cannot determine a size for unsigned int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed int' and 'unsigned int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed int' and 'unsigned int' have different sizes ! ($signed != $unsigned)" >&2;}
+if test x$ac_cv_sizeof_short_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for short int" >&5
+echo "$as_me: error: cannot determine a size for short int" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_short_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_short_int" >&6
 
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_INT $ac_cv_sizeof_unsigned_int
+#define SIZEOF_SHORT_INT $ac_cv_sizeof_short_int
 _ACEOF
 
 
-echo "$as_me:$LINENO: checking size of long int" >&5
-echo $ECHO_N "checking size of long int... $ECHO_C" >&6
-    if test "${ac_cv_sizeof_long_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of int" >&5
+echo $ECHO_N "checking size of int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20835,7 +20350,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (long int) == $ac_size):;
+switch (0) case 0: case (sizeof (int) == $ac_size):;
   ;
   return 0;
 }
@@ -20861,95 +20376,35 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_long_int=$ac_size
+  ac_cv_sizeof_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_long_int != x ; then break; fi
+   if test x$ac_cv_sizeof_int != x ; then break; fi
   done
 
 fi
 
 
-unspecif=$ac_cv_sizeof_long_int
-if test x$unspecif = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for long int" >&5
-echo "$as_me: error: cannot determine a size for long int" >&2;}
+if test x$ac_cv_sizeof_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for int" >&5
+echo "$as_me: error: cannot determine a size for int" >&2;}
    { (exit 1); exit 1; }; }
 fi
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_int" >&6
 
-    if test "${ac_cv_sizeof_signed_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed long int) == $ac_size):;
-  ;
-  return 0;
-}
+cat >>confdefs.h <<_ACEOF
+#define SIZEOF_INT $ac_cv_sizeof_int
 _ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_long_int != x ; then break; fi
-  done
-
-fi
 
 
-signed=$ac_cv_sizeof_signed_long_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed long int" >&5
-echo "$as_me: error: cannot determine a size for signed long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long int' and 'long int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed long int' and 'long int' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_unsigned_long_int+set}" = set; then
+echo "$as_me:$LINENO: checking size of long int" >&5
+echo $ECHO_N "checking size of long int... $ECHO_C" >&6
+    if test "${ac_cv_sizeof_long_int+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
@@ -20966,7 +20421,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-switch (0) case 0: case (sizeof (unsigned long int) == $ac_size):;
+switch (0) case 0: case (sizeof (long int) == $ac_size):;
   ;
   return 0;
 }
@@ -20992,36 +20447,29 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_long_int=$ac_size
+  ac_cv_sizeof_long_int=$ac_size
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 fi
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_long_int != x ; then break; fi
+   if test x$ac_cv_sizeof_long_int != x ; then break; fi
   done
 
 fi
 
 
-unsigned=$ac_cv_sizeof_unsigned_long_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned long int" >&5
-echo "$as_me: error: cannot determine a size for unsigned long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long int' and 'unsigned long int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed long int' and 'unsigned long int' have different sizes ! ($signed != $unsigned)" >&2;}
+if test x$ac_cv_sizeof_long_int = x ; then
+  { { echo "$as_me:$LINENO: error: cannot determine a size for long int" >&5
+echo "$as_me: error: cannot determine a size for long int" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_long_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_long_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_long_int" >&6
 
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_LONG_INT $ac_cv_sizeof_unsigned_long_int
+#define SIZEOF_LONG_INT $ac_cv_sizeof_long_int
 _ACEOF
 
 
@@ -21083,154 +20531,16 @@ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 fi
 
 
-unspecif=$ac_cv_sizeof_long_long_int
-if test x$unspecif = x ; then
+if test x$ac_cv_sizeof_long_long_int = x ; then
   { { echo "$as_me:$LINENO: error: cannot determine a size for long long int" >&5
 echo "$as_me: error: cannot determine a size for long long int" >&2;}
    { (exit 1); exit 1; }; }
 fi
-
-    if test "${ac_cv_sizeof_signed_long_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (signed long long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_signed_long_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_signed_long_long_int != x ; then break; fi
-  done
-
-fi
-
-
-signed=$ac_cv_sizeof_signed_long_long_int
-if test x$signed = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for signed long long int" >&5
-echo "$as_me: error: cannot determine a size for signed long long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unspecif != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long long int' and 'long long int' have different sizes ! ($signed != $unspecif)" >&5
-echo "$as_me: error: 'signed long long int' and 'long long int' have different sizes ! ($signed != $unspecif)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-    if test "${ac_cv_sizeof_unsigned_long_long_int+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  for ac_size in 4 8 1 2 16  ; do # List sizes in rough order of prevalence.
-   cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include "confdefs.h"
-   #include <sys/types.h>
-
-
-int
-main ()
-{
-switch (0) case 0: case (sizeof (unsigned long long int) == $ac_size):;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_sizeof_unsigned_long_long_int=$ac_size
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-   if test x$ac_cv_sizeof_unsigned_long_long_int != x ; then break; fi
-  done
-
-fi
-
-
-unsigned=$ac_cv_sizeof_unsigned_long_long_int
-if test x$unsigned = x ; then
-  { { echo "$as_me:$LINENO: error: cannot determine a size for unsigned long long int" >&5
-echo "$as_me: error: cannot determine a size for unsigned long long int" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test x$unsigned != x$signed ; then
-  { { echo "$as_me:$LINENO: error: 'signed long long int' and 'unsigned long long int' have different sizes ! ($signed != $unsigned)" >&5
-echo "$as_me: error: 'signed long long int' and 'unsigned long long int' have different sizes ! ($signed != $unsigned)" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-echo "$as_me:$LINENO: result: $ac_cv_sizeof_unsigned_long_long_int" >&5
-echo "${ECHO_T}$ac_cv_sizeof_unsigned_long_long_int" >&6
+echo "$as_me:$LINENO: result: $ac_cv_sizeof_long_long_int" >&5
+echo "${ECHO_T}$ac_cv_sizeof_long_long_int" >&6
 
 cat >>confdefs.h <<_ACEOF
-#define SIZEOF_LONG_LONG_INT $ac_cv_sizeof_unsigned_long_long_int
+#define SIZEOF_LONG_LONG_INT $ac_cv_sizeof_long_long_int
 _ACEOF
 
 
@@ -21621,6 +20931,7 @@ trace="${trace}:${ac_cv_sizeof_float}.${ac_cv_sizeof_double}"
 case $trace in
   l:1.2.4.4.8:4.4:4.8) gras_arch=0; gras_arch_name=i386;;
   B:1.2.4.4.8:4.4:4.8) gras_arch=1; gras_arch_name=ppc;;
+  B:1.2.4.8.8:8.8:4.8) gras_arch=2; gras_arch_name=sparc;;
 esac
 if test x$gras_arch = xunknown ; then
   echo "$as_me:$LINENO: result: damnit ($trace)" >&5
 WARNING="This file is generated, do not edit"
 
 
-                                                                                                                                                                ac_config_files="$ac_config_files Makefile src/Makefile src/include/Makefile src/include/modules/Makefile src/base/Makefile src/base/Tests/Makefile src/base/Tests/run_tests src/base/Tests/trp_tcp_usage src/base/Tests/trp_file_usage src/modules/Makefile src/examples/Makefile src/examples/ping/Makefile src/examples/bandwidth/Makefile src/examples/saturate/Makefile src/examples/alnem/Makefile doc/Makefile"
+                                                                                                                        ac_config_files="$ac_config_files Makefile src/Makefile src/include/Makefile src/include/modules/Makefile src/base/Makefile src/base/Tests/Makefile src/base/Tests/run_tests src/base/Tests/trp_tcp_usage src/base/Tests/trp_file_usage src/examples/Makefile src/examples/ping/Makefile doc/Makefile"
+
 
+#    src/modules/Makefile
+#      src/examples/bandwidth/Makefile src/examples/saturate/Makefile
+#      src/examples/alnem/Makefile
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -23782,7 +23097,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by GRAS $as_me 0.0.040304, which was
+This file was extended by GRAS $as_me 0.0.1, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -23845,7 +23160,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-GRAS config.status 0.0.040304
+GRAS config.status 0.0.1
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
   "src/base/Tests/run_tests" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/run_tests" ;;
   "src/base/Tests/trp_tcp_usage" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/trp_tcp_usage" ;;
   "src/base/Tests/trp_file_usage" ) CONFIG_FILES="$CONFIG_FILES src/base/Tests/trp_file_usage" ;;
-  "src/modules/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/modules/Makefile" ;;
   "src/examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/Makefile" ;;
   "src/examples/ping/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/ping/Makefile" ;;
-  "src/examples/bandwidth/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/bandwidth/Makefile" ;;
-  "src/examples/saturate/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/saturate/Makefile" ;;
-  "src/examples/alnem/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/examples/alnem/Makefile" ;;
   "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "src/gras_config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/gras_config.h" ;;
@@ -24439,11 +23750,6 @@ s,@INSTALL@,$ac_INSTALL,;t t
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
      test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
      chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/modules/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
     src/examples/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
      test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
@@ -24454,21 +23760,6 @@ s,@INSTALL@,$ac_INSTALL,;t t
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
      test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
      chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/examples/bandwidth/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/examples/saturate/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
-    src/examples/alnem/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
-     test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
-     test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;
-     test -e src/base/Tests/run_tests     && chmod +x src/base/Tests/run_tests;
-     chmod +x src/examples/ping/test_rl; chmod +x src/examples/ping/test_sg ;;
     doc/Makefile ) ( cd src/include ; test -e gras || ln -s . gras )
      test -e src/base/Tests/trp_tcp_usage && chmod +x src/base/Tests/trp_tcp_usage;
      test -e src/base/Tests/trp_file_usage && chmod +x src/base/Tests/trp_file_usage;